package com.sheep.gamegroup.model.entity;

import com.sheep.jiuyan.samllsheep.R;

/**
 * Created by realicing on 2018/11/2.
 * realicing@sina.com
 */
public class ShowAll {

    public ShowAll(String content) {
        this.content = content;
    }

    private boolean yes;
    private boolean hasExp;//是否包含表情
    private int canShowAllState;//0 初始状态， 1， false， 2 true
    private String content;
    private String showAllText = "显示全部";

    public boolean isHasExp() {
        return hasExp;
    }

    public void setHasExp(boolean hasExp) {
        this.hasExp = hasExp;
    }

    public boolean isYes() {
        return yes;
    }

    public void setYes(boolean yes) {
        this.yes = yes;
    }
    public boolean isFirst(){
        return canShowAllState == 0;
    }

    public boolean isCanShowAll() {
        return canShowAllState == 2;
    }

    public void setCanShowAll(boolean canShowAll) {
        this.canShowAllState = canShowAll ? 2 : 1;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getShowAllText() {
        return showAllText;
    }

    public ShowAll setShowAllText(String showAllText) {
        this.showAllText = showAllText;
        return this;
    }









    //文本内容的id
    private int introContentId = R.id.intro_content;
    //显示全部按钮的id
    private int introShowAllId = R.id.intro_show_all;
    //替换显示全部按钮位置的控件的id
    private int introShowAllNoId = R.id.intro_show_all_no;

    public int getIntroShowAllId() {
        return introShowAllId;
    }

    public ShowAll setIntroShowAllId(int introShowAllId) {
        this.introShowAllId = introShowAllId;
        return this;
    }

    public int getIntroShowAllNoId() {
        return introShowAllNoId;
    }

    public ShowAll setIntroShowAllNoId(int introShowAllNoId) {
        this.introShowAllNoId = introShowAllNoId;
        return this;
    }

    public int getIntroContentId() {
        return introContentId;
    }

    public ShowAll setIntroContentId(int introContentId) {
        this.introContentId = introContentId;
        return this;
    }

    private int maxLine = 3;//默认最多3行
    public int getMaxLine() {
        return maxLine;
    }
    public ShowAll setMaxLine(int maxLine) {
        this.maxLine = maxLine;
        return this;
    }

}
